/* Default Button */
*[data-type="button"]{position: relative;text-decoration: none;display:inline-block;min-width:50px;padding: 20px 26px;text-transform: none;font-weight: bold;z-index:0;border-radius: 18px;line-height:1em;transition:all .25s ease-in-out;}
/* *[data-type="button"][data-theme*="default"]:before,
*[data-type="button"][data-theme*="default"]:after{content:'';position:absolute;} */
*[data-type="button"]:before{width:100%;height:100%;top:50%;left:50%;transform:translate(-50%,-50%);z-index:-2;}
*[data-type="button"]:after{width:0;height:calc(100% - 4px);top:0;left:0;transition:width .25s ease-out;z-index:-1;border:2px solid;}
*[data-type="button"]:hover:after{width:calc(100% - 4px);} 
*[data-type="button"].hidden{display:none !important;}
*[data-type="button"].aligncenter{left: 50%;transform: translate(-50%);}
*[data-type="button"] span{font-family: "proxima-nova";padding-bottom: 0;font-size: 18px;font-weight: 700;letter-spacing: 0.18px;text-align:center;text-transform: none;}
/* *[data-type="button"][data-theme*="default"]:hover span{font-family: "kenny-future", sans-serif;font-size:19px;} */
*[data-type="button"] span:before,
*[data-type="button"] span:after{position: absolute;z-index:1;transition:background .25s ease-out, color .25s ease-out;}
*[data-type="button"] span:before{content:'';top:0;left:-1px;width:6px;height:100%;}
*[data-type="button"] span:after{content:'';top:45%;left:-4px;transform:rotate(90deg) translateY(-50%);font-size:30px;width:16px;height:9px;background-size:contain;transition:filter .25s ease-out;}

*[data-type="button"][data-theme*="green"],
*[data-type="button"][data-theme*="gray"]{padding:15px 25px;}
*[data-type="button"][data-theme*="green"] span{font-size: 14px;font-weight: 500;letter-spacing: 1.4px;}
*[data-type="button"][data-theme*="gray"] span{font-size: 14px;font-weight: 500;letter-spacing: 1.4px;}

/* Colors */
*[data-type="button"][data-theme*="default"]{background: #FFD51E;}
*[data-type="button"][data-theme*="default"] span{color: #684682;transition:color .25s;}
*[data-type="button"][data-theme*="default"]:before{/*background:#726CB2;*/}
*[data-type="button"][data-theme*="default"]:after{background:white;border-color:#FFD51E;}
*[data-type="button"][data-theme*="default"] span:before{/*background:#FFD51E;*/}
*[data-type="button"][data-theme*="default"] span:after{/*color:#FFD51E;*/}

*[data-type="button"][data-theme*="default"]:hover{background:#91c3ba;}
*[data-type="button"][data-theme*="default"]:hover span:before{/*background:var(--blue-4);*/}
*[data-type="button"][data-theme*="default"]:hover span:after{filter: invert(68%) sepia(98%) saturate(483%) hue-rotate(161deg) brightness(146%) contrast(96%);}


*[data-type="button"][data-theme*="yellow"]{background: linear-gradient(180deg, #FFE8CC 0%, #FBD198 100%), #FBD198;}
*[data-type="button"][data-theme*="yellow"] span{color: #2D6097;transition:color .25s;}
*[data-type="button"][data-theme*="yellow"]:hover{background:#fbd198;}


*[data-type="button"][data-theme*="outlined"]{border: 3px solid #2D6097;padding:13px 23px;}
*[data-type="button"][data-theme*="outlined"] span{color: #2D6097;transition:color .25s;}
*[data-type="button"][data-theme*="outlined"]:hover{background:#2D6097;}
*[data-type="button"][data-theme*="outlined"]:hover span{color:white;}

/* Multi-button */
*[data-type="button"] + *[data-type="button"] { margin-left:5px; }
.two-ctas > div { display:flex; gap:12px; justify-content: center; }
